.header{
    width: 100%;
    padding: 2rem 13%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 0;
    z-index: 100;
}
.header-emoji{
    width: 3.75rem;
    height: 3.75rem;
    background-color: var(--blanco);
    border-radius: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    box-shadow: 0 8px 32px rgba(0, 0, 0, .16);
    transition: all .1s ease-out;
}
.header-emoji:hover {
    transform: scale(0.90);
    box-shadow: 0 8px 32px rgba(0, 0, 0, .16);
}
.header-emoji img{
    width: 2rem;
}
.header-controllers{
    display: flex;
    background-color: var(--blanco3);
    box-shadow: 0 8px 32px rgba(0, 0, 0, .16);
    justify-content: center;
    align-items: center;
    padding: 1.2rem 0.5rem;
    border-radius: 2rem;
    position: relative;
    z-index: 0;
    cursor: pointer;
}
.header-controllers-switch{
    position: absolute;
    background-color: var(--blanco);
    box-shadow: 0 3px 15px rgba(0, 0, 0, .07);
    padding: 1.3rem 3rem;
    left: 0.5rem;
    border-radius: 2rem;
    z-index: 1;
    transition: all .2s ease-out;
}
.switch{
    /* left: auto;
    right: 0.5rem; */
    transform: translateX(5.8rem);
    padding: 1.3rem 2.8rem;
}
.header-controllers-left{
    padding: 0rem 1.2rem;
    position: relative;
    z-index: 2;
    transition: all .2s ease-out;
}
.header-controllers-right{
    padding: 0rem 1.2rem;
    position: relative;
    z-index: 2;
    transition: all .2s ease-out;
}
.header-active{
    font-weight: 600;
}
.header-darkmode{
    width: 3.75rem;
    height: 3.75rem;
    background-color: var(--blanco);
    border-radius: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    box-shadow: 0 8px 32px rgba(0, 0, 0, .16);
    transition: all .1s ease-out;
}
.header-darkmode:hover {
    transform: scale(0.90);
    box-shadow: 0 8px 32px rgba(0, 0, 0, .16);
}
.darkmode-moon{
    display: var(--show-moon);
    width: 2rem;
}
.darkmode-sun{
    display: var(--show-sun);
    width: 2rem;
}
@media screen and (max-width: 480px){
    .header{
        padding: 2rem 5%;
    }
}



.hero{
    width: 100%;
    display: none;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin-top: 15rem;
}
.hero-title{
    font-size: 4.375rem;
    font-weight: 700;
    margin-bottom: 2rem;
}
.hero-title2{
    font-size: 4.375rem;
    font-weight: 700;
    margin-bottom: 2rem;
    white-space: nowrap;
    border-right: 4px solid;
    width: 14ch;

    animation: typing 2s steps(14), blink .5s infinite step-end alternate;
    overflow: hidden;
}

@keyframes typing {
    from{ width: 0}
}
@keyframes blink {
    50% { border-color: transparent;}
}
.hero-location{
    font-weight: 600;
    margin-bottom: 2rem;
}
@media screen and (max-width: 480px){
    .hero-title{
        font-size: 3rem;
    }
    .hero-location{
        font-size: 1rem;
    }
    .hero-description{
        font-size: 16px;
        width: 60%;
    }
}



.containerWorks{
    display: none;
    flex-direction: column;
    align-items: center;
    width: 100%;
    margin-top: 8rem;
}
.works{
    display: flex;
    flex-direction: row;
    width: 56.25rem;
    height: 27.5rem;
    margin-bottom: 5rem;
    background-color: var(--blanco2);
    border-radius: 1.5rem;
    cursor: pointer;
    transition: all .2s ease-out;
    overflow: hidden;
}
.works:hover {
    background-color: var(--blanco3);
    transform: scale(1.02);
    box-shadow: 0 0 #e6ebef, 0 4px 24px rgba(0, 0, 0, .08);
}
.works-info{
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 50%;
    padding-left: 4.5rem;
}
.works-info-icon{
    width: 2.2rem;
    height: 2.2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 0.3rem;
    margin-bottom: 1rem;
    background-color: #FFF;
}
.logoMapaRosa{
    width: 90%;
}
.works-info-title{
    font-size: 2.25rem;
    font-weight: 700;
    margin-bottom: 0.25rem;
}
.works-info-span{
    font-size: 0.875rem;
    font-weight: 600;
    letter-spacing: .1em;
    margin-bottom: 1rem;
}
.works-info-description{
    line-height: 170%;
    margin-bottom: 2rem;
}
.works-info-button{
    display: flex;
    width: fit-content;
    align-items: center;
    background-color: var(--blanco);
    padding: 1rem 2.5rem;
    border-radius: 1rem;
    cursor: pointer;
}
.works-info-button img{
    width: 2rem;
    margin-left: 1rem;
}
.works-info-button svg{
    width: 2rem;
    height: 2rem;
    margin-left: 1rem;
}
.works-img{
    width: 50%;
}
#work-bg2-img{
    width: 85%;
}
@media screen and (max-width: 900px){
    .works{
        width: 70%;
        height: auto;
        flex-direction: column-reverse;
    }
    .works-info{
        width: 95%;
        padding-left: 2rem;
    }
    .works-img{
        width: 95%;
        align-self: flex-end;
    }
    #work-bg2-img{
        width: 85%;
        margin: auto;
    }
    .works-info-title{
        font-weight: 700;
        margin-bottom: 0.25rem;
    }
    .works-info-span{
    }
    .works-info-description{
    }
    .works-info-button{
        margin-bottom: 2rem;
    }
    .works-info-button svg{
        width: 1rem;
        height: 1rem;
        margin-left: 1rem;
    }
}
@media screen and (max-width: 480px){
    .works{
        width: 90%;
        height: auto;
        flex-direction: column-reverse;
    }
    .works-info{
        width: 100%;
        padding-left: 2rem;
    }
    .works-img{
        width: 100%;
    }
    #work-bg2-img{
        width: 85%;
        margin: auto;
    }
    .works-info-title{
        font-size: 2rem;
        font-weight: 700;
        margin-bottom: 0.25rem;
    }
    .works-info-span{
        font-size: 0.675rem;
    }
    .works-info-description{
        font-size: 1rem;
    }
    .works-info-button{
        font-size: 1rem;
        margin-bottom: 2rem;
    }
    .works-info-button svg{
        width: 1rem;
        height: 1rem;
        margin-left: 1rem;
    }
}




.plantillas{
    width: 100%;
    display: none;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin-bottom: 5rem;
    padding: 0rem 10rem;
}
.plantillas-title{
    font-size: 3.375rem;
    font-weight: 700;
    margin-bottom: 4.5rem;
}
.plantillas-card{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--blanco2);
    border-radius: 1.5rem;
    padding: 3rem 3rem;
    transition: all .2s ease-out;
    cursor: pointer;
}
.plantillas-card:hover {
    background-color: var(--blanco3);
    transform: scale(1.02);
    box-shadow: 0 0 #e6ebef, 0 20px 36px rgba(0, 0, 0, .1);
}
.plantillas-card-container{
    width: 100%;
    display: flex;
    justify-content: space-around;
}
.plantillas-card-container img{
    width: 30%;
    box-shadow: 0 8px 32px rgba(0, 0, 0, .16);
    border-radius: 0.5rem;
}
.plantillas-contact-button{
    display: flex;
    width: fit-content;
    align-items: center;
    background-color: var(--blanco);
    padding: 1rem 2.5rem;
    border-radius: 1rem;
    cursor: pointer;
}
.plantillas-copy{
    line-height: 170%;
    margin-top: 2rem;
    margin-bottom: 2rem;
}
.plantillas-contact-button img{
    width: 2rem;
    margin-left: 1rem;
}
@media screen and (max-width: 900px){
    .plantillas{
        width: 100%;
        padding: 0rem 6rem;
    }
    .plantillas-card{
        padding: 3rem 1rem;
    }
    .plantillas-card-container{
        width: 90%;
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        align-items: center;
    }
    .plantillas-card-container img{
        width: 80%;
        margin-bottom: 1rem;
    }
}
@media screen and (max-width: 480px){
    .plantillas{
        width: 100%;
        padding: 0rem 1.5rem;
    }
    .plantillas-title{
        font-size: 3rem;
    }
    .plantillas-card{
        padding: 3rem 1rem;
    }
    .plantillas-card-container{
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        align-items: center;
    }
    .plantillas-card-container img{
        width: 80%;
        margin-bottom: 1rem;
    }
    .plantillas-copy{
        font-size: 1rem;
    }
    .plantillas-contact-button{
        font-size: 1rem;
    }
    .plantillas-contact-button svg{
        width: 1rem;
        height: 1rem;
        margin-left: 1rem;
    }
}




.about-title{
    display: none;
    width: fit-content;
    font-size: 4.375rem;
    font-weight: 700;
    margin: auto;
    margin-bottom: 2rem;
    padding-top: 15rem;
    text-align: center;
}

.white{
    display: var(--show-black);
}
.black{
    display: var(--show-white);
}
.main-active{
    display: flex;
}
.footer{
    width: 100%;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    margin-top: auto;
    padding: 4rem 2rem;
    padding-top: 2rem;
    display: flex;
}
.footer-text{
    font-size: 0.9rem;
    text-align: center;
}